Share via


Managed Instances - Get

Gets a managed instance.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}?api-version=2025-01-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}?api-version=2025-01-01&$expand={$expand}

URI Parameters

Name In Required Type Description
managedInstanceName
path True

string

The name of the managed instance.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

$expand
query

string

The child resources to include in the response.

Responses

Name Type Description
200 OK

ManagedInstance

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get managed instance
Get managed instance while resource is updating
Get managed instance with $expand=administrators/activedirectory

Get managed instance

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Sql/managedInstances/testinstance?api-version=2025-01-01

Sample response

{
  "name": "testinstance",
  "type": "Microsoft.Sql/managedInstances",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Sql/managedInstances/testinstance",
  "location": "japaneast",
  "properties": {
    "administratorLogin": "dummylogin",
    "authenticationMetadata": "Windows",
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "createTime": "2022-11-01T01:01:01.011Z",
    "currentBackupStorageRedundancy": "Geo",
    "databaseFormat": "SQLServer2022",
    "dnsZone": "1b4e2caff2530",
    "externalGovernanceStatus": "Enabled",
    "fullyQualifiedDomainName": "testinstance.1b4e2caff2530.database.windows.net",
    "hybridSecondaryUsage": "Passive",
    "instancePoolId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Sql/instancePools/instancePool1",
    "licenseType": "LicenseIncluded",
    "maintenanceConfigurationId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Maintenance/publicMaintenanceConfigurations/SQL_JapanEast_MI_1",
    "minimalTlsVersion": "1.2",
    "pricingModel": "Regular",
    "provisioningState": "Succeeded",
    "proxyOverride": "Default",
    "publicDataEndpointEnabled": false,
    "requestedBackupStorageRedundancy": "Geo",
    "requestedLogicalAvailabilityZone": "1",
    "servicePrincipal": {
      "type": "SystemAssigned",
      "clientId": "00000011-1111-2222-2222-123456789111",
      "principalId": "00000011-1111-2222-2222-123456789111",
      "tenantId": "00000011-1111-2222-2222-123456789111"
    },
    "state": "Ready",
    "storageSizeInGB": 1024,
    "subnetId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Network/virtualNetworks/vnet1/subnets/subnet1",
    "vCores": 8,
    "virtualClusterId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Sql/virtualClusters/vc-5555555-6666-7777-8888-999999999999"
  },
  "sku": {
    "name": "GP_Gen5",
    "capacity": 8,
    "family": "Gen5",
    "tier": "GeneralPurpose"
  },
  "tags": {
    "key": "value"
  }
}

Get managed instance while resource is updating

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Sql/managedInstances/testinstance?api-version=2025-01-01

Sample response

{
  "name": "testinstance",
  "type": "Microsoft.Sql/managedInstances",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Sql/managedInstances/testinstance",
  "location": "japaneast",
  "properties": {
    "administratorLogin": "dummylogin",
    "authenticationMetadata": "Windows",
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "createTime": "2022-11-01T01:01:01.011Z",
    "databaseFormat": "SQLServer2022",
    "dnsZone": "1b4e2caff2530",
    "externalGovernanceStatus": "Enabled",
    "fullyQualifiedDomainName": "testinstance.1b4e2caff2530.database.windows.net",
    "instancePoolId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Sql/instancePools/instancePool1",
    "licenseType": "LicenseIncluded",
    "maintenanceConfigurationId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Maintenance/publicMaintenanceConfigurations/SQL_JapanEast_MI_1",
    "minimalTlsVersion": "1.2",
    "pricingModel": "Regular",
    "provisioningState": "Updating",
    "proxyOverride": "Default",
    "publicDataEndpointEnabled": false,
    "requestedLogicalAvailabilityZone": "1",
    "state": "Ready",
    "storageSizeInGB": 1024,
    "subnetId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Network/virtualNetworks/vnet1/subnets/subnet1",
    "vCores": 8,
    "virtualClusterId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Sql/virtualClusters/vc-5555555-6666-7777-8888-999999999999"
  },
  "sku": {
    "name": "GP_Gen5",
    "capacity": 8,
    "family": "Gen5",
    "tier": "GeneralPurpose"
  },
  "tags": {
    "key": "value"
  }
}

Get managed instance with $expand=administrators/activedirectory

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Sql/managedInstances/testinstance?api-version=2025-01-01

Sample response

{
  "name": "testinstance",
  "type": "Microsoft.Sql/managedInstances",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Sql/managedInstances/testinstance",
  "location": "japaneast",
  "properties": {
    "administratorLogin": "dummylogin",
    "administrators": {
      "azureADOnlyAuthentication": true,
      "login": "bob@contoso.com",
      "principalType": "User",
      "sid": "00000011-1111-2222-2222-123456789111",
      "tenantId": "00000011-1111-2222-2222-123456789111"
    },
    "authenticationMetadata": "Windows",
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "createTime": "2022-11-01T01:01:01.011Z",
    "currentBackupStorageRedundancy": "Geo",
    "databaseFormat": "SQLServer2022",
    "dnsZone": "1b4e2caff2530",
    "externalGovernanceStatus": "Enabled",
    "fullyQualifiedDomainName": "testinstance.1b4e2caff2530.database.windows.net",
    "hybridSecondaryUsage": "Passive",
    "instancePoolId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Sql/instancePools/instancePool1",
    "licenseType": "LicenseIncluded",
    "maintenanceConfigurationId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Maintenance/publicMaintenanceConfigurations/SQL_JapanEast_MI_1",
    "minimalTlsVersion": "1.2",
    "pricingModel": "Regular",
    "provisioningState": "Succeeded",
    "proxyOverride": "Default",
    "publicDataEndpointEnabled": false,
    "requestedBackupStorageRedundancy": "Geo",
    "requestedLogicalAvailabilityZone": "1",
    "state": "Ready",
    "storageSizeInGB": 1024,
    "subnetId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Network/virtualNetworks/vnet1/subnets/subnet1",
    "vCores": 8,
    "virtualClusterId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Sql/virtualClusters/vc-5555555-6666-7777-8888-999999999999"
  },
  "sku": {
    "name": "GP_Gen5",
    "capacity": 8,
    "family": "Gen5",
    "tier": "GeneralPurpose"
  },
  "tags": {
    "key": "value"
  }
}

Definitions

Name Description
AdministratorType

Type of the sever administrator.

AuthMetadataLookupModes

The managed instance's authentication metadata lookup mode.

AvailabilityZoneType

Specifies the availability zone the database is pinned to.

BackupStorageRedundancy

The storage account type used to store backups for this database.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ExternalGovernanceStatus

Status of external governance.

HybridSecondaryUsage

Hybrid secondary usage. Possible values are 'Active' (default value) and 'Passive' (customer uses the secondary as Passive DR).

HybridSecondaryUsageDetected

Hybrid secondary usage detected. Possible values are 'Active' (customer does not meet the requirements to use the secondary as Passive DR) and 'Passive' (customer meets the requirements to use the secondary as Passive DR).

IdentityType

The identity type. Set this to 'SystemAssigned' in order to automatically create and assign an Azure Active Directory principal for the resource.

ManagedInstance

An Azure SQL managed instance.

ManagedInstanceDatabaseFormat

Specifies the internal format of instance databases specific to the SQL engine version.

ManagedInstanceExternalAdministrator

Properties of a active directory administrator.

ManagedInstanceLicenseType

The license type. Possible values are 'LicenseIncluded' (regular price inclusive of a new SQL license) and 'BasePrice' (discounted AHB price for bringing your own SQL licenses).

ManagedInstancePecProperty

A private endpoint connection under a managed instance

ManagedInstancePrivateEndpointConnectionProperties

Properties of a private endpoint connection.

ManagedInstancePrivateEndpointProperty
ManagedInstancePrivateLinkServiceConnectionStateProperty
ManagedInstanceProxyOverride

Connection type used for connecting to the instance.

ManagedServerCreateMode

Specifies the mode of database creation.

Default: Regular instance creation.

Restore: Creates an instance by restoring a set of backups to specific point in time. RestorePointInTime and SourceManagedInstanceId must be specified.

PricingModel

Pricing model of Managed Instance.

PrincipalType

Principal Type of the sever administrator.

ProvisioningState

The ARM provisioning state of the job execution.

ResourceIdentity

Azure Active Directory identity configuration for a resource.

ServicePrincipal

The managed instance's service principal configuration for a resource.

ServicePrincipalType

Service principal type.

Sku

An ARM Resource SKU.

systemData

Metadata pertaining to creation and last modification of the resource.

UserIdentity

Azure Active Directory identity configuration for a resource.

AdministratorType

Type of the sever administrator.

Value Description
ActiveDirectory

ActiveDirectory

AuthMetadataLookupModes

The managed instance's authentication metadata lookup mode.

Value Description
AzureAD

AzureAD

Paired

Paired

Windows

Windows

AvailabilityZoneType

Specifies the availability zone the database is pinned to.

Value Description
NoPreference

NoPreference

1

1

2

2

3

3

BackupStorageRedundancy

The storage account type used to store backups for this database.

Value Description
Geo

Geo

Local

Local

Zone

Zone

GeoZone

GeoZone

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ExternalGovernanceStatus

Status of external governance.

Value Description
Enabled

Enabled

Disabled

Disabled

HybridSecondaryUsage

Hybrid secondary usage. Possible values are 'Active' (default value) and 'Passive' (customer uses the secondary as Passive DR).

Value Description
Active

Active

Passive

Passive

HybridSecondaryUsageDetected

Hybrid secondary usage detected. Possible values are 'Active' (customer does not meet the requirements to use the secondary as Passive DR) and 'Passive' (customer meets the requirements to use the secondary as Passive DR).

Value Description
Active

Active

Passive

Passive

IdentityType

The identity type. Set this to 'SystemAssigned' in order to automatically create and assign an Azure Active Directory principal for the resource.

Value Description
None

None

SystemAssigned

SystemAssigned

UserAssigned

UserAssigned

SystemAssigned,UserAssigned

SystemAssigned,UserAssigned

ManagedInstance

An Azure SQL managed instance.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity

ResourceIdentity

The Azure Active Directory identity of the managed instance.

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.administratorLogin

string

Administrator username for the managed instance. Can only be specified when the managed instance is being created (and is required for creation).

properties.administratorLoginPassword

string (password)

The administrator login password (required for managed instance creation).

properties.administrators

ManagedInstanceExternalAdministrator

The Azure Active Directory administrator can be utilized during instance creation and for instance updates, except for the azureADOnlyAuthentication property. To update the azureADOnlyAuthentication property, individual API must be used.

properties.authenticationMetadata

AuthMetadataLookupModes

The managed instance's authentication metadata lookup mode.

properties.collation

string

Collation of the managed instance.

properties.createTime

string (date-time)

Specifies the point in time (ISO8601 format) of the Managed Instance creation.

properties.currentBackupStorageRedundancy

BackupStorageRedundancy

The storage account type used to store backups for this instance. The options are Local (LocallyRedundantStorage), Zone (ZoneRedundantStorage), Geo (GeoRedundantStorage) and GeoZone(GeoZoneRedundantStorage)

properties.databaseFormat

ManagedInstanceDatabaseFormat

Specifies the internal format of instance databases specific to the SQL engine version.

properties.dnsZone

string

The Dns Zone that the managed instance is in.

properties.dnsZonePartner

string (arm-id)

The resource id of another managed instance whose DNS zone this managed instance will share after creation.

properties.externalGovernanceStatus

ExternalGovernanceStatus

Status of external governance.

properties.fullyQualifiedDomainName

string

The fully qualified domain name of the managed instance.

properties.hybridSecondaryUsage

HybridSecondaryUsage

Hybrid secondary usage. Possible values are 'Active' (default value) and 'Passive' (customer uses the secondary as Passive DR).

properties.hybridSecondaryUsageDetected

HybridSecondaryUsageDetected

Hybrid secondary usage detected. Possible values are 'Active' (customer does not meet the requirements to use the secondary as Passive DR) and 'Passive' (customer meets the requirements to use the secondary as Passive DR).

properties.instancePoolId

string

The Id of the instance pool this managed server belongs to.

properties.isGeneralPurposeV2

boolean

Whether or not this is a GPv2 variant of General Purpose edition.

properties.keyId

string

A CMK URI of the key to use for encryption.

properties.licenseType

ManagedInstanceLicenseType

The license type. Possible values are 'LicenseIncluded' (regular price inclusive of a new SQL license) and 'BasePrice' (discounted AHB price for bringing your own SQL licenses).

properties.maintenanceConfigurationId

string

Specifies maintenance configuration id to apply to this managed instance.

properties.managedInstanceCreateMode

ManagedServerCreateMode

Specifies the mode of database creation.

Default: Regular instance creation.

Restore: Creates an instance by restoring a set of backups to specific point in time. RestorePointInTime and SourceManagedInstanceId must be specified.

properties.memorySizeInGB

integer (int32)

Memory size in GB. Minimum value: 28. Maximum value: 870. Minimum and maximum value depend on the number of vCores and service tier. Read more about resource limits: https://aka.ms/mi-resource-limits-api.

properties.minimalTlsVersion

string

Minimal TLS version. Allowed values: 'None', '1.0', '1.1', '1.2'

properties.pricingModel

PricingModel

Pricing model of Managed Instance.

properties.primaryUserAssignedIdentityId

string (arm-id)

The resource id of a user assigned identity to be used by default.

properties.privateEndpointConnections

ManagedInstancePecProperty[]

List of private endpoint connections on a managed instance.

properties.provisioningState

ProvisioningState

Provisioning state of managed instance.

properties.proxyOverride

ManagedInstanceProxyOverride

Connection type used for connecting to the instance.

properties.publicDataEndpointEnabled

boolean

Whether or not the public data endpoint is enabled.

properties.requestedBackupStorageRedundancy

BackupStorageRedundancy

The storage account type to be used to store backups for this instance. The options are Local (LocallyRedundantStorage), Zone (ZoneRedundantStorage), Geo (GeoRedundantStorage) and GeoZone(GeoZoneRedundantStorage)

properties.requestedLogicalAvailabilityZone

AvailabilityZoneType

Specifies the logical availability zone Managed Instance is pinned to.

properties.restorePointInTime

string (date-time)

Specifies the point in time (ISO8601 format) of the source database that will be restored to create the new database.

properties.servicePrincipal

ServicePrincipal

The managed instance's service principal.

properties.sourceManagedInstanceId

string (arm-id)

The resource identifier of the source managed instance associated with create operation of this instance.

properties.state

string

The state of the managed instance.

properties.storageIOps

integer (int32)

Storage IOps. Minimum value: 300. Maximum value: 80000. Increments of 1 IOps allowed only. Maximum value depends on the selected hardware family and number of vCores.

properties.storageSizeInGB

integer (int32)

Storage size in GB. Minimum value: 32. Maximum value: 32768. Increments of 32 GB allowed only. Maximum value depends on the selected hardware family and number of vCores.

properties.storageThroughputMBps

integer (int32)

Storage throughput MBps parameter is not supported in the instance create/update operation.

properties.subnetId

string (arm-id)

Subnet resource ID for the managed instance.

properties.timezoneId

string

Id of the timezone. Allowed values are timezones supported by Windows. Windows keeps details on supported timezones, including the id, in registry under KEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Time Zones. You can get those registry values via SQL Server by querying SELECT name AS timezone_id FROM sys.time_zone_info. List of Ids can also be obtained by executing [System.TimeZoneInfo]::GetSystemTimeZones() in PowerShell. An example of valid timezone id is "Pacific Standard Time" or "W. Europe Standard Time".

properties.vCores

integer (int32)

The number of vCores. Allowed values: 4, 6, 8, 10, 12, 16, 20, 24, 32, 40, 48, 56, 64, 80, 96, 128. Supported vCores depends on the selected hardware family and service tier.

properties.virtualClusterId

string

Virtual cluster resource id for the Managed Instance.

properties.zoneRedundant

boolean

Whether or not the zone-redundancy is enabled.

sku

Sku

Managed instance SKU. Allowed values for sku.name: GP_Gen5 (General Purpose, Standard-series); GP_G8IM (General Purpose, Premium-series); GP_G8IH (General Purpose, Premium-series memory optimized); BC_Gen5 (Business Critical, Standard-Series); BC_G8IM (Business Critical, Premium-series); BC_G8IH (Business Critical, Premium-series memory optimized).

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ManagedInstanceDatabaseFormat

Specifies the internal format of instance databases specific to the SQL engine version.

Value Description
AlwaysUpToDate

AlwaysUpToDate

SQLServer2022

SQLServer2022

SQLServer2025

SQLServer2025

ManagedInstanceExternalAdministrator

Properties of a active directory administrator.

Name Type Description
administratorType

AdministratorType

Type of the sever administrator.

azureADOnlyAuthentication

boolean

Azure Active Directory only Authentication enabled.

login

string

Login name of the server administrator.

principalType

PrincipalType

Principal Type of the sever administrator.

sid

string (uuid)

SID (object ID) of the server administrator.

tenantId

string (uuid)

Tenant ID of the administrator.

ManagedInstanceLicenseType

The license type. Possible values are 'LicenseIncluded' (regular price inclusive of a new SQL license) and 'BasePrice' (discounted AHB price for bringing your own SQL licenses).

Value Description
LicenseIncluded

LicenseIncluded

BasePrice

BasePrice

ManagedInstancePecProperty

A private endpoint connection under a managed instance

Name Type Description
id

string

Resource ID.

properties

ManagedInstancePrivateEndpointConnectionProperties

Private endpoint connection properties

ManagedInstancePrivateEndpointConnectionProperties

Properties of a private endpoint connection.

Name Type Description
privateEndpoint

ManagedInstancePrivateEndpointProperty

Private endpoint which the connection belongs to.

privateLinkServiceConnectionState

ManagedInstancePrivateLinkServiceConnectionStateProperty

Connection State of the Private Endpoint Connection.

provisioningState

string

State of the Private Endpoint Connection.

ManagedInstancePrivateEndpointProperty

Name Type Description
id

string

Resource id of the private endpoint.

ManagedInstancePrivateLinkServiceConnectionStateProperty

Name Type Description
actionsRequired

string

The private link service connection description.

description

string

The private link service connection description.

status

string

The private link service connection status.

ManagedInstanceProxyOverride

Connection type used for connecting to the instance.

Value Description
Proxy

Proxy

Redirect

Redirect

Default

Default

ManagedServerCreateMode

Specifies the mode of database creation.

Default: Regular instance creation.

Restore: Creates an instance by restoring a set of backups to specific point in time. RestorePointInTime and SourceManagedInstanceId must be specified.

Value Description
Default

Default

PointInTimeRestore

PointInTimeRestore

PricingModel

Pricing model of Managed Instance.

Value Description
Regular

Regular

Freemium

Freemium

PrincipalType

Principal Type of the sever administrator.

Value Description
User

User

Group

Group

Application

Application

ProvisioningState

The ARM provisioning state of the job execution.

Value Description
Created

Created

InProgress

InProgress

Succeeded

Succeeded

Failed

Failed

Canceled

Canceled

ResourceIdentity

Azure Active Directory identity configuration for a resource.

Name Type Description
principalId

string (uuid)

The Azure Active Directory principal id.

tenantId

string (uuid)

The Azure Active Directory tenant id.

type

IdentityType

The identity type. Set this to 'SystemAssigned' in order to automatically create and assign an Azure Active Directory principal for the resource.

userAssignedIdentities

<string,  UserIdentity>

The resource ids of the user assigned identities to use

ServicePrincipal

The managed instance's service principal configuration for a resource.

Name Type Description
clientId

string

The Azure Active Directory application client id.

principalId

string

The Azure Active Directory application object id.

tenantId

string

The Azure Active Directory tenant id.

type

ServicePrincipalType

Service principal type.

ServicePrincipalType

Service principal type.

Value Description
None

None

SystemAssigned

SystemAssigned

Sku

An ARM Resource SKU.

Name Type Description
capacity

integer (int32)

Capacity of the particular SKU.

family

string

If the service has different generations of hardware, for the same SKU, then that can be captured here.

name

string

The name of the SKU, typically, a letter + Number code, e.g. P3.

size

string

Size of the particular SKU

tier

string

The tier or edition of the particular SKU, e.g. Basic, Premium.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

UserIdentity

Azure Active Directory identity configuration for a resource.

Name Type Description
clientId

string (uuid)

The Azure Active Directory client id.

principalId

string (uuid)

The Azure Active Directory principal id.